package com.ozs.service.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.core.domain.BaseEntity;
import com.ozs.common.vo.PageVo;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 报警信息请求参数表
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Data
public class MsgAlarmVo extends PageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报警线路
     */
    private String alarmLine;

    /**
     * 报警行别
     */
    private Integer lineDir;
    
    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private Integer alarmType;

    /**
     * 报警里程位置
     */
    private String alarmMile;

    /**
     * 起始报警病害属性（可以给出泥石流的框定范围）
     */
    private String beginAlarmAttr;
    
    /**
     * 结束报警病害属性（可以给出泥石流的框定范围）
     */
    private String endAlarmAttr;

    /**
     * 开始报警时间
     */
    private String beginAlarmTime;

    /**
     * 结束报警时间
     */
    private String endAlarmTime;


    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isLock;


}
